# Form implementation generated from reading ui file 'src/eric7/EricWidgets/EricErrorMessageFilterDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricErrorMessageFilterDialog(object):
    def setupUi(self, EricErrorMessageFilterDialog):
        EricErrorMessageFilterDialog.setObjectName("EricErrorMessageFilterDialog")
        EricErrorMessageFilterDialog.resize(500, 350)
        EricErrorMessageFilterDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EricErrorMessageFilterDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.filtersEditWidget = EricStringListEditWidget(parent=EricErrorMessageFilterDialog)
        self.filtersEditWidget.setObjectName("filtersEditWidget")
        self.verticalLayout.addWidget(self.filtersEditWidget)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EricErrorMessageFilterDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(EricErrorMessageFilterDialog)
        self.buttonBox.accepted.connect(EricErrorMessageFilterDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EricErrorMessageFilterDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EricErrorMessageFilterDialog)

    def retranslateUi(self, EricErrorMessageFilterDialog):
        _translate = QtCore.QCoreApplication.translate
        EricErrorMessageFilterDialog.setWindowTitle(_translate("EricErrorMessageFilterDialog", "Error Messages Filter"))
from eric7.EricWidgets.EricStringListEditWidget import EricStringListEditWidget
